Subject: Re: [PATCH net-next 10/13] net: ena: add mtu limitation in ena_change_mtu()

From: "Belgazal, Netanel" <[email-masked]>
Date: Mon, 19 Jun 2017 12:26:08 +0000

I'll discard this patch.
________________________________________
From: David Miller <[email-masked]>
Sent: Sunday, June 18, 2017 7:21 PM
To: Belgazal, Netanel
Cc: [email-masked]; Woodhouse, David; Machulsky, Zorik; Matushevsky, Alexander; BSHARA, Said; Wilson, Matt; Liguori, Anthony; Bshara, Nafea; Schmeilin, Evgeny
Subject: Re: [PATCH net-next 10/13] net: ena: add mtu limitation in ena_change_mtu()

From: <[email-masked]>
Date: Sun, 18 Jun 2017 14:28:15 +0300

> From: Netanel Belgazal <[email-masked]>
>
> Signed-off-by: Netanel Belgazal <[email-masked]>

I don't understand this at all.

This whole reason we have those:

> @@ -3008,8 +3015,6 @@ static void ena_set_conf_feat_params(struct ena_adapter *adapter,
>       ena_set_dev_offloads(feat, netdev);
>
>       adapter->max_mtu = feat->dev_attr.max_mtu;
> -     netdev->max_mtu = adapter->max_mtu;
> -     netdev->min_mtu = ENA_MIN_MTU;
>  }
>

assignments you are removing is so that the core networking can
validate the request and therefore individual drivers don't have to.

If it's just to get that silly driver message out when the MTU asked
for is too large, that's not a good reason to bypass the
infrastructure for MTU changes that we've provided for drivers in the
core.

I don't like this change at all.

You could have helped things a lot by actually writing a commit log
message explaining what you are really doing, and why you are doing
it.  Empty commit log messages are never a good idea.